Get Channel Account by ID

Prev Next
Get
/v1/channel-accounts/{channelAccountId}

Read a specific Channel Account by its ID.

Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Path parameters
channelAccountId
integerRequired

Channel Account ID

Example44017
Query parameters
includeDeletedSubAccounts
boolean

Whether to include deleted sub-accounts in counts

Responses
200

Successfully retrieved the Channel Account

{
  "success": "True",
  "message": "Successfully read!",
  "data": {
    "id": "53211",
    "name": "Sample Channel Account",
    "controlAccountId": "53165",
    "controlAccountName": "Sample Control Account",
    "governanceAccountName": "Sample Governance",
    "governanceAccountId": "45424",
    "purchasedStorage": "3",
    "subAccountDefaultPurchasedStorage": "1",
    "subAccountDefaultStorageQuotaType": "Soft quota",
    "storageQuotaType": "Soft quota",
    "subAccountStorage": "0.015625",
    "billableActiveStorage": "0.014321",
    "billableDeletedStorage": "0.001304",
    "subAccountsCount": "3",
    "status": "Active",
    "creationDate": "2024-07-09T08:36:50.898Z",
    "contactEmail": "contact@example.com",
    "address1": "123 Main St",
    "city": "Boston",
    "state": "Massachusetts",
    "country": "United States",
    "zip": "02101",
    "ssoEnabled": "False",
    "deleted": "False"
  }
}
Expand All
object
success
boolean
message
string
data
object (ChannelAccountResponse)
id
integer
name
string
controlAccountId
integer
controlAccountName
string
governanceAccountId
integer
governanceAccountName
string
purchasedStorage
number
subAccountDefaultPurchasedStorage
number
subAccountDefaultStorageQuotaType
string
storageQuotaType
string
subAccountStorage
number
billableActiveStorage
number
billableDeletedStorage
number
subAccountsCount
integer
status
string
imageUrl
string | null
creationDate
string (date-time)
address1
string
address2
string
country
string
city
string
state
string
zip
string
mainPhone
string
billingPhone
string
contactEmail
string
billingEmail
string
businessNumber
string
taxId
string
fiscalNumber
string
vatNumber
string
website
string
ssoEnabled
boolean
deleted
boolean
404

Channel Account not found